import 'package:healthrian_ble_interface/healthrian_ble_interface.dart';
import 'package:healthrian_ble_support_for_cardioclick/'
    'healthrian_ble_support_for_cardioclick.dart';

class BLEManager extends ManagerInterface {
  factory BLEManager() {
    return _instance;
  }

  BLEManager._internal() {}

  static final BLEManager _instance = BLEManager._internal();

  Versions versions = Versions.v1;

  ModuleInterface module = Module();

  Module get _module => module as Module;

  ModuleBle get ble => versions == Versions.v1 ? _module.bleV1 : _module.bleV2;

  ModuleEcg get ecg => versions == Versions.v1 ? _module.ecgV1 : _module.ecgV2;
}
